//
// Copyright (c) 2000-2001 - Andrew Richards <ajr@users.sourceforge.net>
//
// This file is part of the PikView image viewer released under the GNU GPL.
// For license details see the file COPYING included with this distribution.
//


#include <qdialog.h>

class QPushButton;
class QCheckBox;
class QTable;

class rapidFileConfig : public QDialog
{
	Q_OBJECT;
 public:
	rapidFileConfig(QWidget *parent=0, const char *name=0);

 private slots:
 	void addEntry();
 	void deleteEntry();
	void chooseDir();
	void okPressed();
	void cancelPressed();

 protected:
	void closeEvent(QCloseEvent *e);

 private:
	QTable *list;
	QPushButton *btDel, *btNew, *btOk, *btCan, *btDir;
	QCheckBox   *cbEnable;
};
