//
// Copyright (c) 2000-2001 - Andrew Richards <ajr@users.sourceforge.net>
//
// This file is part of the PikView image viewer released under the GNU GPL.
// For license details see the file COPYING included with this distribution.
//


#define showi(X) printf( #X " = %d\n", int(X));
#define showf(X) printf( #X " = %f\n", float(X));
#define showc(X) printf( #X " = %c\n", char(X));
#define shows(X) printf( #X " = %s\n", (char *)X);

#define MIN(A,B) (((A)<(B)) ? (A) : (B))
#define MAX(A,B) (((A)>(B)) ? (A) : (B))
#define NOT0(A,B) (((A)!=0) ? (A) : (B))


#define THUMB_FILE "pikview.tn"
#define GLOBAL_THUMB_FILE ".pikview.gtn"

#define _FOR_KDE1_

#ifdef WORDS_BIGENDIAN
#define FIX_ENDIAN(x) ((((uchar*)&x)[0] << 24) | (((uchar*)&x)[1] << 16) | \
                          (((uchar*)&x)[2] <<  8) | (((uchar*)&x)[3]))
#else
#define FIX_ENDIAN(x) (x)
#endif

