//
// Copyright (c) 2000-2001 - Andrew Richards <ajr@users.sourceforge.net>
//
// This file is part of the PikView image viewer released under the GNU GPL.
// For license details see the file COPYING included with this distribution.
//

// Origional file as below

//
// jpeg.h -- QImage IO handler declaration for JFIF JPEG graphic format,
//	SirtaJ Singh Kang <taj@kde.org>, December 1996.
//           using IJG JPEG library.
//

// $Id: jpeg.h,v 1.1 2000/01/13 10:57:54 cvs Exp $

#ifndef _SSK_JPEG_QHANDLERS_H
#define _SSK_JPEG_QHANDLERS_H

#include <qimage.h>
class QImageIO;

//////
// JPEG IO handlers for QImage.
//

namespace PVJPEG {

void kimgio_jpeg_read(QImageIO *image);
void kimgio_jpeg_write(QImageIO *image);
QImage readJPEGThumbnail(QString fileName, QSize sz);

// allocate space for static variables
extern int jpegQuality;
extern int jpegSmoothing;
extern int jpegOptimizeCoding;

}

#endif
